Package Base Details: python-powerline-git

Git Clone URL: https://aur.archlinux.org/python-powerline-git.git (read-only)
Submitter: Lokaltog
Maintainer: gbs
Last Packager: gbs
Votes: 134
Popularity: 0.002710
First Submitted: 2013-01-23 07:28
Last Updated: 2018-10-10 20:08

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

lelele commented on 2014-01-23 02:32

Couldn't get powerline to work in VIM, so I use the one suggested here: https://github.com/Lokaltog/powerline/issues/521#issuecomment-18847799; set laststatus=2. It worked.
Is this really the proper step to do this? Did I do something wrong with my VIM setup?

Lokaltog commented on 2014-01-19 10:55

I've updated the packages, sorry about the delay.

fazo96 commented on 2013-12-22 16:28

May I suggest fixing the package so it can be installed using AUR helpers such as Aura? Nice work btw.

kh3phr3n commented on 2013-12-09 11:40

Hi, Same here, everything is ok in Konsole but "nbsp" problem with gVim.
Issue: https://github.com/Lokaltog/powerline/issues/698
Wait & See :)

swiftscythe commented on 2013-12-04 19:47

Hi! I can't get the symbols from the powerline-fonts in gVim (however it works as expected in Vim...) Any one else having this problem? Did I miss something? Thanks :)

t0m5k1 commented on 2013-11-10 21:50

pacaur -u python2-powerline-git
:: Starting AUR upgrade...
:: resolving dependencies...
:: Could not read python2-powerline-git PKGBUILD: badly packaged tarball


unsure how to resolve this??

Stalafin commented on 2013-10-26 11:55

Because vim has issues finding powerline; in power.install, it is suggested to set:
> export PYTHONPATH=/usr/lib/python3.3/site-packages

This can however mess up python2, which still many applications rely on, because PYTHONPATH is used for both python2 and python3 (very silly, but that's what it is).

Because many people just use powerline for vim, I suggest adding gnomeye's comment [1] to the installation info of the PKGBUILD:
> add “ let $PYTHONPATH="/usr/lib/python3.3/site-packages" ” to .vimrc

1: https://github.com/Lokaltog/powerline/issues/298#issuecomment-15633045

fridsun commented on 2013-10-14 19:04

I would recommend splitting powerline and powerline font solution install since fontconfig isn't a universal method.
Btw I am having uberben's error even though I don't have airline. I had it once but removed it.

fridsun commented on 2013-10-14 18:27

Beware that you may encounter errors if you have installed other powerline fontconfig packages before this.

Lokaltog commented on 2013-09-27 22:01

Those docs are for another project.